curl --request DELETE \
--url https://staging.crossmint.com/api/v1-alpha1/credentials/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.crossmint.com/api/v1-alpha1/credentials/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.crossmint.com/api/v1-alpha1/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actionId": "201520fc-e0eb-4698-a2f3-c6b50cc7c894",
"action": "nfts.delete",
"status": "pending OR succeeded",
"data": {
"chain": "polygon",
"txId": "succeeded status ONLY - 0x69cf6d971e6745f25f683db9c87663839be02bdaa4a70f0724f490d7335b0081",
"collection": {
"id": "default-polygon",
"contractAddress": "0x67a602CBb306b3DBaaC7ECf55b72EED0E04Dc785"
},
"token": {
"id": "799a6f68-e2ea-4126-8577-4298dfcf900c",
"tokenId": "7"
}
},
"startedAt": "2024-01-10T23:01:45.000Z",
"completedAt": "succeeded status ONLY - 2024-01-10T23:02:00.000Z",
"resource": "https://staging.crossmint.com/api/2022-06-09/collections/default-polygon/nfts/201520fc-e0eb-4698-a2f3-c6b50cc7c894"
}Revoke Credential
Revoke a verifiable credential by the credential ID. This involves burning the associated nft.
This ID will have the format: urn:uuid:<UUID>. For example: urn:uuid:64f9877d-a19a-4205-8d61-f8c2abed5766
API scope required credentials.create.
Authorizations
Key obtained from the Crossmint developer console, reflecting the API scope granted.
Path Parameters
Unique ID of the credential as returned in the NFT creation response. Format is: urn:uuid:<UUID>
Response
Success
Can be used to check the status via the action status API
"201520fc-e0eb-4698-a2f3-c6b50cc7c894"
The action performed, in this case nfts.delete
"nfts.delete"
Current status of the async operation. One of pending or succeeded
"pending OR succeeded"
Show child attributes
Show child attributes
The time this operation was initiated in UTC.
"2024-01-10T23:01:45.000Z"
The time this operation completed in UTC.
This is only present when status is succeeded
"succeeded status ONLY - 2024-01-10T23:02:00.000Z"
The URL path to obtain current status with action status api
"https://staging.crossmint.com/api/2022-06-09/collections/default-polygon/nfts/201520fc-e0eb-4698-a2f3-c6b50cc7c894"
Was this page helpful?

